<?php 
$wp_customize->add_section('pricing_area',array('title' => __( 'Pricing Section', 'luzuk' ),'panel' => 'luzuk_premium_home_panel'));
$wp_customize->add_setting('pricing_area_disable',array('sanitize_callback' => 'luzuk_sanitize_text',));
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'pricing_area_disable',
        array(
            'settings' => 'pricing_area_disable',
            'section' => 'pricing_area',
            'label' => __( 'Disable Section', 'luzuk' ),
            'on_off_label'  => array('on' => __( 'Yes', 'luzuk' ), 'off' => __( 'No', 'luzuk' )),
        )
    )
); 

backgroundManager($wp_customize, 'pricingsec', 'pricing_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'pricing_areapadding', 'pricing_area', 'Section Padding');

$wp_customize->add_setting(
    'pricing_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaTpadding',
    array(
        'settings'      => 'pricing_areaTpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk' )
    )
);
$wp_customize->add_setting(
    'pricing_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk' )
    )
);
$wp_customize->add_control(
    'pricing_areaBpadding',
    array(
        'settings'      => 'pricing_areaBpadding',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk' )
    )
);

//for breadcrumb to show & hide button

lzCustomLable($wp_customize, 'luzuk_price_head_image', 'pricing_area', 'Heading Image Setting');

$wp_customize->add_setting( 'pricehimg_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'pricehimg_display', array( 'label' => 'Heading Image Display', 'section' => 'pricing_area', 'settings' => 'pricehimg_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show  ', 'hide' => 'Hide ', ), ) ); 

lzCustomLable($wp_customize, 'pricing_areaheading', 'pricing_area', 'Section Sub Heading & Heading ');


$wp_customize->add_setting('pricimgsec_subtitle',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Pricing Packages', 'luzuk' )));
$wp_customize->add_control(
    'pricimgsec_subtitle',
    array(
        'settings'      => 'pricimgsec_subtitle',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk' )
    )
);


addColorPalatOption($wp_customize, 'pricingsec_subHeading', 'pricing_area', 'Sub Heading Color', '#000');


$wp_customize->add_setting('pricingsec_maintitle',array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Lorem Ipsum Are Believable.', 'luzuk' )));
$wp_customize->add_control(
    'pricingsec_maintitle',
    array(
        'settings'      => 'pricingsec_maintitle',
        'section'       => 'pricing_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'pricingsec_Heading', 'pricing_area', 'Heading Color', '#000');



$wp_customize->add_setting('pricing_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'pricing_npp_heading',
        array(
            'settings'      => 'pricing_npp_heading',
            'section'       => 'pricing_area',
            'label'         => __( 'Pricing Plan To Show', 'luzuk' ),
        )
    )
);  

$wp_customize->add_setting('pricing_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'pricing_npp_count',
    array(
        'settings'      => 'pricing_npp_count',
        'section'       => 'pricing_area',
        'type'          => 'select',
        'label'         => __( 'Number To Show', 'Luzuk' ),
        'choices'=>array(1,2,3,4)
    )
);


for($i=1;$i<=4;$i++){

$wp_customize->add_setting('pricing_plan_heading_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'pricing_plan_heading_'.$i,
        array(
            'settings' => 'pricing_plan_heading_'.$i,
            'section' => 'pricing_area',
            'label' => __( 'Pricing Plan '.$i, 'luzuk' ),
        )
    )
); 


//Title
$wp_customize->add_setting('planTitle'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Basic', 'luzuk' )));

$wp_customize->add_control(
    'planTitle'.$i,
    array(
        'settings' => 'planTitle'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Plan Title ', 'luzuk' )
    )
);

$wp_customize->add_setting('planTitle'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( 'Basic', 'luzuk' )));



// Price
$wp_customize->add_setting('planPrice'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '$199', 'luzuk' )));
$wp_customize->add_control(
    'planPrice'.$i,
    array(
        'settings' => 'planPrice'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Plan Price  ', 'luzuk' )
    )
);

// Validity
$wp_customize->add_setting('plantmonth'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '/Month', 'luzuk' )));
$wp_customize->add_control(
    'plantmonth'.$i,
    array(
        'settings' => 'plantmonth'.$i,
        'section' => 'pricing_area',
        'type' => 'text',
        'label' => __( 'Plan Validity  ', 'luzuk' )
    )
);

// list
$wp_customize->add_setting('pricing_plan_content_'.$i,array('sanitize_callback' => 'luzuk_sanitize_text','default' => __( '  
<li>Hall Access – 6 Hours</li>
                        <li>Guest Capacity up to 300</li>
                        <li>Standard Decor & Lighting</li>
                        <li>Basic Sound System</li>', 'luzuk' )));

$wp_customize->add_control(
    'pricing_plan_content_'.$i,
    array(
        'settings' => 'pricing_plan_content_'.$i,
        'section' => 'pricing_area',
        'type' => 'textarea',
        'label' => __( 'Plan List  ', 'luzuk' )
    )
);

/*code for button text*/
$wp_customize->add_setting(
    'pricing_button_title_'.$i,
    array(
        'sanitize_callback'=>'luzuk_sanitize_text',
        'default'=> __('Book Now', 'luzuk')
    )
);
$wp_customize->add_control(
    'pricing_button_title_'.$i,
    array(
        'settings' =>'pricing_button_title_'.$i,
        'section' => 'pricing_area',
        'type'=> 'text',
        'label'=> __('Button Text ', 'luzuk')
    )
);

lzAddElement($wp_customize, 'pricing_plan_url_'.$i, 'pricing_area', $type = 'text', $label="Add Link ", $callback ='esc_url', $default='#');

}


lzCustomLable($wp_customize, 'pricing_areacolor', 'pricing_area', 'Section Color');

addColorPalatOption($wp_customize, 'pricingarea_PlanbxbgClr', 'pricing_area', 'Plan Box BG Color ', '#fff');

addColorPalatOption($wp_customize, 'pricingarea_PlanbxbrdClr', 'pricing_area', 'Plan Box Border Color ', '#EC003F');

addColorPalatOption($wp_customize, 'pricingarea_PlanNameClr', 'pricing_area', 'Plan Name Color ', '#000');

addColorPalatOption($wp_customize, 'pricingarea_Planpriceclr', 'pricing_area', 'Plan Price Color ', '#000');

addColorPalatOption($wp_customize, 'pricingarea_2ndPlanpriceclr', 'pricing_area', '2nd Box Plan Price Color ', '#EC003F');

addColorPalatOption($wp_customize, 'price_ContentliicnClr', 'pricing_area', 'Plan List Icon Color', '#3A3737');

addColorPalatOption($wp_customize, 'pricing_PlanConiClr', 'pricing_area', 'Plan List Color ', '#3A3737');


addColorPalatOption($wp_customize, 'pricing_ButtontextColor', 'pricing_area', 'Plan Button Text Color ', '#302F2F');

addColorPalatOption($wp_customize, 'pricing_ButtonbgColor', 'pricing_area', 'Plan Button BG Color', '#E5E5E5');

addColorPalatOption($wp_customize, 'pricing_ButtonbghvColor', 'pricing_area', 'Plan Button BG Hover Color', '#EC003F');